package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ReasonCodeAlertPO;
import mhp.oee.po.gen.ReasonCodeAlertPOExample;

public interface ReasonCodeAlertPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    int countByExample(ReasonCodeAlertPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    int deleteByExample(ReasonCodeAlertPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    int insert(ReasonCodeAlertPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    int insertSelective(ReasonCodeAlertPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    List<ReasonCodeAlertPO> selectByExample(ReasonCodeAlertPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    ReasonCodeAlertPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ReasonCodeAlertPO record, @Param("example") ReasonCodeAlertPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ReasonCodeAlertPO record, @Param("example") ReasonCodeAlertPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ReasonCodeAlertPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_alert
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ReasonCodeAlertPO record);
}